I suggest you ...

Upgrade Redis Cache

just wanted to let you know that you have problems with Redis cache because of version problem. Past few weeks our website was craching all the time and I checked my system log and found the following error: Warning: Redis::pipeline(): Already in pipeline mode repeating and filling our logs (last was 117 MB) so I googled this error and got the following result https://github.com/phpredis/phpredis/issues/1211 which states the problem is in redis version 3.1.3 which Cloudways uses. the suggested solution is to downgrade to 3.1.2 or maybe there is also a higher version (didn't check).

15 votes
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    Signed in as (Sign out)

    We’ll send you updates on this idea

    Andraž shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    4 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      Signed in as (Sign out)
      Submitting...
      • Maxim commented  ·   ·  Flag as inappropriate

        You use redis that have a bug with M2, so it is impossible to run eCommerce based at M2 to work with redis.
        To M2 need the latest stable version of redis.

      • Anonymous commented  ·   ·  Flag as inappropriate

        php redis has a bug fix release that i believe is sort of critical.
        i found there are problems with the delete function of a key that can cause endless cache issues on wordpress, minimum you cant login

        i filed a github issue but nothing i can really prove on your system since your not up to date.
        https://github.com/phpredis/phpredis/releases/tag/3.1.2 release 1.5

        You may also test this issue as well by installing https://wordpress.org/plugins/redis-cache/ on a wp site, and generally within a day you will get login problems. doing a flushall in redis fixes. But the problem is whatI have detailed with no w3tc.

      Feedback and Knowledge Base